#ifndef _TEXTLIB_H
  #define _TEXTLIB_H

  void Txt_Init  (void);
  void Txt_Quit  (void);
  void Txt_Pixel (int,int,int);
  void Txt_Char  (unsigned char,int,int,int,int);
  void Txt_Text  (void *,int,int,int,int,int);

  #define Txt_Runes(a,b,c,d) Txt_Text4(a,b,c,d)
  #define Txt_Rune(a,b,c)    Txt_Char4(a,b,c)

  #define Txt_Text1(a,b,c,d) Txt_Text(a,b,c,3,5,d)
  #define Txt_Char1(a,b,c)   Txt_Char(a,b,c,3,5)
  #define Txt_Text2(a,b,c,d) Txt_Text(a,b,c,5,7,d)
  #define Txt_Char2(a,b,c)   Txt_Char(a,b,c,5,7)
  #define Txt_Text3(a,b,c,d) Txt_Text(a,b,c,7,10,d)
  #define Txt_Char3(a,b,c)   Txt_Char(a,b,c,7,10)
  #define Txt_Text4(a,b,c,d) Txt_Text(a,b,c,7,8,d)
  #define Txt_Char4(a,b,c)   Txt_Char(a,b,c,7,8)

  #define Txt_None           0x00
  #define Txt_Strike         0x01
  #define Txt_Underline      0x02
  #define Txt_UnderDouble    0x04

#endif
